# fresh-theme-bootstrap
Responsive resume theme for [HackMyResume](https://github.com/hacksalot/HackMyResume) using [Bootstrap](http://getbootstrap.com) and [Bootswatch](https://bootswatch.com).

## Install

Install the latest version with NPM:

```bash
npm install fresh-theme-bootstrap
```

Then specify the theme and css attribute when running HackMyResume:


```bash
hackmyresume BUILD resume.json TO out/resume.all --theme node_modules/fresh-theme-bootstrap --css <swatch name>
```

The swatch name can be either 'bootstrap' for default Bootstrap look and feel or name of any Bootswatch theme (lumen, darkly, readable ...)

## Examples

### bootstrap

```bash
hackmyresume BUILD resume.json TO out/resume.all --theme node_modules/fresh-theme-bootstrap --css bootstrap
```

<img src="http://aruberto.github.io/fresh-theme-bootstrap/bootstrap.png" width="49%">
<img src="http://aruberto.github.io/fresh-theme-bootstrap/bootstrap-xs.png" width="49%">

### cerulean

```bash
hackmyresume BUILD resume.json TO out/resume.all --theme node_modules/fresh-theme-bootstrap --css cerulean
```

<img src="http://aruberto.github.io/fresh-theme-bootstrap/cerulean.png" width="49%">
<img src="http://aruberto.github.io/fresh-theme-bootstrap/cerulean-xs.png" width="49%">

### cosmo

```bash
hackmyresume BUILD resume.json TO out/resume.all --theme node_modules/fresh-theme-bootstrap --css cosmo
```

<img src="http://aruberto.github.io/fresh-theme-bootstrap/cosmo.png" width="49%">
<img src="http://aruberto.github.io/fresh-theme-bootstrap/cosmo-xs.png" width="49%">

### cyborg

```bash
hackmyresume BUILD resume.json TO out/resume.all --theme node_modules/fresh-theme-bootstrap --css cyborg
```

<img src="http://aruberto.github.io/fresh-theme-bootstrap/cyborg.png" width="49%">
<img src="http://aruberto.github.io/fresh-theme-bootstrap/cyborg-xs.png" width="49%">

### darkly

```bash
hackmyresume BUILD resume.json TO out/resume.all --theme node_modules/fresh-theme-bootstrap --css darkly
```

<img src="http://aruberto.github.io/fresh-theme-bootstrap/darkly.png" width="49%">
<img src="http://aruberto.github.io/fresh-theme-bootstrap/darkly-xs.png" width="49%">

### flatly

```bash
hackmyresume BUILD resume.json TO out/resume.all --theme node_modules/fresh-theme-bootstrap --css flatly
```

<img src="http://aruberto.github.io/fresh-theme-bootstrap/flatly.png" width="49%">
<img src="http://aruberto.github.io/fresh-theme-bootstrap/flatly-xs.png" width="49%">

### journal

```bash
hackmyresume BUILD resume.json TO out/resume.all --theme node_modules/fresh-theme-bootstrap --css journal
```

<img src="http://aruberto.github.io/fresh-theme-bootstrap/journal.png" width="49%">
<img src="http://aruberto.github.io/fresh-theme-bootstrap/journal-xs.png" width="49%">

### lumen

```bash
hackmyresume BUILD resume.json TO out/resume.all --theme node_modules/fresh-theme-bootstrap --css lumen
```

<img src="http://aruberto.github.io/fresh-theme-bootstrap/lumen.png" width="49%">
<img src="http://aruberto.github.io/fresh-theme-bootstrap/lumen-xs.png" width="49%">

### paper

```bash
hackmyresume BUILD resume.json TO out/resume.all --theme node_modules/fresh-theme-bootstrap --css paper
```

<img src="http://aruberto.github.io/fresh-theme-bootstrap/paper.png" width="49%">
<img src="http://aruberto.github.io/fresh-theme-bootstrap/paper-xs.png" width="49%">

### readable

```bash
hackmyresume BUILD resume.json TO out/resume.all --theme node_modules/fresh-theme-bootstrap --css readable
```

<img src="http://aruberto.github.io/fresh-theme-bootstrap/readable.png" width="49%">
<img src="http://aruberto.github.io/fresh-theme-bootstrap/readable-xs.png" width="49%">

### sandstone

```bash
hackmyresume BUILD resume.json TO out/resume.all --theme node_modules/fresh-theme-bootstrap --css sandstone
```

<img src="http://aruberto.github.io/fresh-theme-bootstrap/sandstone.png" width="49%">
<img src="http://aruberto.github.io/fresh-theme-bootstrap/sandstone-xs.png" width="49%">

### simplex

```bash
hackmyresume BUILD resume.json TO out/resume.all --theme node_modules/fresh-theme-bootstrap --css simplex
```

<img src="http://aruberto.github.io/fresh-theme-bootstrap/simplex.png" width="49%">
<img src="http://aruberto.github.io/fresh-theme-bootstrap/simplex-xs.png" width="49%">

### slate

```bash
hackmyresume BUILD resume.json TO out/resume.all --theme node_modules/fresh-theme-bootstrap --css slate
```

<img src="http://aruberto.github.io/fresh-theme-bootstrap/slate.png" width="49%">
<img src="http://aruberto.github.io/fresh-theme-bootstrap/slate-xs.png" width="49%">

### spacelab

```bash
hackmyresume BUILD resume.json TO out/resume.all --theme node_modules/fresh-theme-bootstrap --css spacelab
```

<img src="http://aruberto.github.io/fresh-theme-bootstrap/spacelab.png" width="49%">
<img src="http://aruberto.github.io/fresh-theme-bootstrap/spacelab-xs.png" width="49%">

### superhero

```bash
hackmyresume BUILD resume.json TO out/resume.all --theme node_modules/fresh-theme-bootstrap --css superhero
```

<img src="http://aruberto.github.io/fresh-theme-bootstrap/superhero.png" width="49%">
<img src="http://aruberto.github.io/fresh-theme-bootstrap/superhero-xs.png" width="49%">

### united

```bash
hackmyresume BUILD resume.json TO out/resume.all --theme node_modules/fresh-theme-bootstrap --css united
```

<img src="http://aruberto.github.io/fresh-theme-bootstrap/united.png" width="49%">
<img src="http://aruberto.github.io/fresh-theme-bootstrap/united-xs.png" width="49%">

### yeti

```bash
hackmyresume BUILD resume.json TO out/resume.all --theme node_modules/fresh-theme-bootstrap --css yeti
```

<img src="http://aruberto.github.io/fresh-theme-bootstrap/yeti.png" width="49%">
<img src="http://aruberto.github.io/fresh-theme-bootstrap/yeti-xs.png" width="49%">
